module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={
				action_name=[[runWar]],
				action_time=0.49,
				end_frame=19,
				excutor=[[atkobj]],
				start_frame=0,
			},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={args={},func_name=[[MagcAnimStart]],start_time=0,},
		[3]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[4]={
			args={sound_path=[[Magic/sound_magic_41202_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[5]={
			args={
				alive_time=5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_110/Prefabs/110_camera.prefab]],
					preload=true,
				},
				effect_dir_type=[[backward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=2,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=0,
		},
		[6]={
			args={
				alive_time=1.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_110/Prefabs/110_cutscene1.prefab]],
					preload=true,
				},
				effect_dir_type=[[backward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=2,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=0,
		},
		[7]={
			args={sound_path=[[Magic/sound_magic_41202_0.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0.01,
		},
		[8]={
			args={action_name=[[attack5]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.19,
		},
		[9]={
			args={
				alive_time=1.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_110/Prefabs/110_eff1.prefab]],
					preload=true,
				},
				effect_dir_type=[[backward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=2,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=2.7,
		},
		[10]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_110/Prefabs/110_attack5_hit.prefab]],
					preload=true,
				},
				effect_dir_type=[[empty]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
			},
			func_name=[[StandEffect]],
			start_time=5.32,
		},
		[11]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=5.42,
		},
		[12]={
			args={
				alive_time=0.2,
				ease_hide_time=0,
				ease_show_time=0,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_Green01.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=5.47,
		},
		[13]={
			args={
				alive_time=1,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_110/Prefabs/110_attack5_2.prefab]],
					preload=true,
				},
				effect_dir_type=[[backward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=2,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=5.65,
		},
		[14]={args={},func_name=[[MagcAnimEnd]],start_time=6.3,},
		[15]={args={},func_name=[[End]],start_time=6.42,},
	},
	group_cmds={},
	magic_anim_end_time=6.3,
	magic_anim_start_time=0,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_110/Prefabs/110_camera.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_110/Prefabs/110_cutscene1.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_110/Prefabs/110_eff1.prefab]],
		[4]=[[Effect/Magic/magic_eff_new_110/Prefabs/110_attack5_hit.prefab]],
		[5]=[[Effect/Magic/magic_eff_new_110/Prefabs/110_attack5_2.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
